org.h2.expression.function

## Class CompatibilitySequenceValueFunction

- java.lang.Object
- - org.h2.expression.Expression
  - - org.h2.expression.Operation1_2
    - - org.h2.expression.function.Function1_2
      - - org.h2.expression.function.CompatibilitySequenceValueFunction

All Implemented Interfaces:
  NamedExpression, HasSQL, Typed

    public final class CompatibilitySequenceValueFunction
    extends Function1_2

NEXTVAL() and CURRVAL() compatibility functions.

### Field Summary

### Fields inherited from class org.h2.expression.Operation1_2

`left, right, type`

### Fields inherited from class org.h2.expression.Expression

`AUTO_PARENTHESES, MAP_IN_AGGREGATE, MAP_IN_WINDOW, MAP_INITIAL, WITH_PARENTHESES, WITHOUT_PARENTHESES`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`CompatibilitySequenceValueFunction(Expression left, Expression right, boolean current)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get the name.
`Value` `getValue(SessionLocal session, Value v1, Value v2)` Returns the value of this function.
`boolean` `isEverything(ExpressionVisitor visitor)` Check if this expression and all sub-expressions can fulfill a criteria.
`Expression` `optimize(SessionLocal session)` Try to optimize the expression.

### Methods inherited from class org.h2.expression.function.Function1_2

`getUnenclosedSQL, getValue`

### Methods inherited from class org.h2.expression.Operation1_2

`getCost, getSubexpression, getSubexpressionCount, getType, mapColumns, setEvaluatable, updateAggregate`

### Methods inherited from class org.h2.expression.Expression

`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getColumnNameForView, getEnclosedSQL, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getSQL, getSQL, getSQL, getTableAlias, getTableName, getWhenSQL, getWhenValue, isConstant, isIdentity, isNullConstant, isValueSet, isWhenConditionOperand, needParentheses, optimizeCondition, toString, writeExpressions, writeExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Constructor Detail

#### CompatibilitySequenceValueFunction

    public CompatibilitySequenceValueFunction(Expression left,
                                              Expression right,
                                              boolean current)

### Method Detail

#### getValue

    public Value getValue(SessionLocal session,
                          Value v1,
                          Value v2)

Description copied from class: `Function1_2`
Returns the value of this function.

Overrides:
  `getValue` in class `Function1_2`
Parameters:
  `session` - the session
  `v1` - the value of first argument
  `v2` - the value of second argument, or `null`
Returns:
  the resulting value

#### optimize

    public Expression optimize(SessionLocal session)

Description copied from class: `Expression`
Try to optimize the expression.

Specified by:
  `optimize` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the optimized expression

#### isEverything

    public boolean isEverything(ExpressionVisitor visitor)

Description copied from class: `Expression`
Check if this expression and all sub-expressions can fulfill a criteria. If any part returns false, the result is false.

Overrides:
  `isEverything` in class `Operation1_2`
Parameters:
  `visitor` - the visitor
Returns:
  if the criteria can be fulfilled

#### getName

    public java.lang.String getName()

Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase